Attribute VB_Name = "Card32"
Option Explicit

' *** Information Regarding the Cards32.dll ***
'
'
' cdtInit - This creates the deck of cards
'           has Dx and Dy representing the height and width of cards
'
'
' cdtTerm - This terminates the deck and releases the memory used by the program
'
'
' cdtDraw - Draws a card to the specified hdc
'           has hdc , X , Y , iCard , iDraw , clr
'             hdc - the object you want the card drawn on
'             X , Y - the cordinates that where the card should be drawn
'             iCard - the card you want to draw
'             iDraw - whether it should be face up or face down
'             clr - color of card
'
' cdtDrawExt - Does the same thing as cdtDraw but can draw the cards at different sizes
'
' *********************************************

' This Function plays sounds
Public Declare Function PlaySound Lib "winmm.dll" Alias _
    "PlaySoundA" (ByVal lpszName As String, _
    ByVal hModule As Long, ByVal dwFlags As Long) As Long

'  *** These are for the Cards32.dll ***
' ***************************************
Public Declare Function cdtInit Lib "Cards32.Dll" (Dx As Long, Dy As Long) As Long

Public Declare Function cdtDrawExt Lib "Cards32.Dll" (ByVal hdc As Long, _
    ByVal X As Long, ByVal Y As Long, ByVal Dx As Long, ByVal Dy As Long, _
    ByVal ordCard As Long, ByVal iDraw As Long, ByVal clr As Long) As Long

Public Declare Function cdtDraw Lib "Cards32.Dll" (ByVal hdc As Long, _
    ByVal X As Long, ByVal Y As Long, ByVal iCard As Long, ByVal iDraw As Long, _
    ByVal clr As Long) As Long
    
Public Declare Function cdtTerm Lib "Cards32.Dll" () As Long
' ***************************************
' ***************************************

' This is for the sleep function and pauses the program
Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

' Some constants for drawing the cards
Public Const CardH = 75
Public Const CardW = 50
Public Const nTtlCard = 52

Public IsiKartu(nTtlCard + 1) As Byte

Public Sub RashCard()  'Acak / Kocok Kartu
    Dim I As Byte, J As Byte
    Dim Kartu(nTtlCard) As Boolean
    
    For I = 0 To nTtlCard
        IsiKartu(I) = I
    Next
    For I = 0 To nTtlCard - 1
        Randomize
        J = Int(52 * Rnd)
        If Kartu(I) = False And Kartu(J) = False Then
           Kartu(I) = True
           Kartu(J) = True
           IsiKartu(I) = J
           IsiKartu(J) = I
        End If
    Next
End Sub


